curl --request PUT \
--url https://api.messaging.phonovation.com/ccaas/2/conversation-forms/fields/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Type",
"enabled": false
}
'import requests
url = "https://api.messaging.phonovation.com/ccaas/2/conversation-forms/fields/{id}"
payload = {
"title": "Type",
"enabled": False
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/2/conversation-forms/fields/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"title\": \"Type\",\n \"enabled\": false\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.put("https://api.messaging.phonovation.com/ccaas/2/conversation-forms/fields/{id}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"Type\",\n \"enabled\": false\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/2/conversation-forms/fields/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'title' => 'Type',
'enabled' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: 'Type', enabled: false})
};
fetch('https://api.messaging.phonovation.com/ccaas/2/conversation-forms/fields/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "d85b8e46-f579-482f-b383-22648aae17b5",
"title": "Type",
"type": "DROPDOWN",
"regex": null,
"isEnabled": false,
"options": [
"inquiry",
"complaint"
],
"createdAt": "2021-06-29T10:00:55.755685Z",
"updatedAt": "2021-06-29T10:00:55.755686Z",
"operators": []
}{
"requestError": {
"serviceException": {
"messageId": "BAD_REQUEST",
"text": "Required request body is missing or not valid."
}
}
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "NOT_FOUND",
"text": "Invalid id ba18fdf8-eacf-4b15-8d4e-71515f5b9bcc given! No such field exists."
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Update field
Use this method to update a field.
Required scope: Enable one of: conversations:manage.
curl --request PUT \
--url https://api.messaging.phonovation.com/ccaas/2/conversation-forms/fields/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Type",
"enabled": false
}
'import requests
url = "https://api.messaging.phonovation.com/ccaas/2/conversation-forms/fields/{id}"
payload = {
"title": "Type",
"enabled": False
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/2/conversation-forms/fields/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"title\": \"Type\",\n \"enabled\": false\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.put("https://api.messaging.phonovation.com/ccaas/2/conversation-forms/fields/{id}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"Type\",\n \"enabled\": false\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/2/conversation-forms/fields/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'title' => 'Type',
'enabled' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: 'Type', enabled: false})
};
fetch('https://api.messaging.phonovation.com/ccaas/2/conversation-forms/fields/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "d85b8e46-f579-482f-b383-22648aae17b5",
"title": "Type",
"type": "DROPDOWN",
"regex": null,
"isEnabled": false,
"options": [
"inquiry",
"complaint"
],
"createdAt": "2021-06-29T10:00:55.755685Z",
"updatedAt": "2021-06-29T10:00:55.755686Z",
"operators": []
}{
"requestError": {
"serviceException": {
"messageId": "BAD_REQUEST",
"text": "Required request body is missing or not valid."
}
}
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "NOT_FOUND",
"text": "Invalid id ba18fdf8-eacf-4b15-8d4e-71515f5b9bcc given! No such field exists."
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
Id of the field being updated.
Body
Field title.
100Field type.
TEXT, MULTILINE, CHECKBOX, DROPDOWN, INTNUMBER, DECIMALNUMBER, REGEX, DATE, CARD Is field enabled. Mandatory when updating.
Available field options. Applicable only for DROPDOWN type.
Available field options. Applicable only for DROPDOWN type.
Regular expression. Applicable only for REGEX type.
Response
OK
Field id.
Field title.
Field type.
TEXT, MULTILINE, CHECKBOX, DROPDOWN, INTNUMBER, DECIMALNUMBER, REGEX, DATE, CARD Regular expression. Valid only for REGEX field type.
Is field enabled
List of available options.
List of available options.
List of available operators based on field type.
List of available operators based on field type.
IS, IS_NOT, CONTAINS, DOESNT_CONTAIN, IS_SELECTED, NOT_SELECTED, IS_EQUAL_TO, NOT_EQUAL_TO, LESS_THAN, GREATER_THAN, IS_EQUAL_OR_LESS, IS_EQUAL_OR_GREATER, BEFORE, AFTER, BEFORE_OR_ON, AFTER_OR_ON